org.apache.avro.io.parsing

## Class ValidatingGrammarGenerator

- java.lang.Object
- - org.apache.avro.io.parsing.ValidatingGrammarGenerator

- Direct Known Subclasses:
    JsonGrammarGenerator, ResolvingGrammarGenerator

      public class ValidatingGrammarGenerator
      extends Object

  The class that generates validating grammar.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatingGrammarGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Symbol` | `generate(Schema schema)` Returns the non-terminal that is the start symbol for the grammar for the given schema `sc`.
    `Symbol` | `generate(Schema sc, Map<org.apache.avro.io.parsing.ValidatingGrammarGenerator.LitS,Symbol> seen)` Returns the non-terminal that is the start symbol for the grammar for the given schema `sc`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidatingGrammarGenerator

          public ValidatingGrammarGenerator()

  - ### Method Detail

    - #### generate

          public Symbol generate(Schema schema)

      Returns the non-terminal that is the start symbol for the grammar for the given schema `sc`.

    - #### generate

          public Symbol generate(Schema sc,
                                 Map<org.apache.avro.io.parsing.ValidatingGrammarGenerator.LitS,Symbol> seen)

      Returns the non-terminal that is the start symbol for the grammar for the given schema `sc`. If there is already an entry for the given schema in the given map `seen` then that entry is returned. Otherwise a new symbol is generated and an entry is inserted into the map.
      Parameters:
        `sc` - The schema for which the start symbol is required
        `seen` - A map of schema to symbol mapping done so far.
      Returns:
        The start symbol for the schema

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.